اسلام الكبابى

احداثيات نقطة مرسومة

1 مشاركة في هذا الموضوع

لى سؤال بسيط بعد ربط الأوتوكاد بالفيجوال بيسك6

ما هو الكود اللازم لمعرفة احداثيات نقطة بداية مستقيم مرسوم ونقطة نهايته

هذا الكود نقلته من أحد مواضيع الأستاذة/ سميرة عبد الله أو الأستاذة samira2009

لمعرفة بعض خصائص مستقيم مرسوم 

Private Sub Command4_Click()
Dim acadapp As AcadApplication
Dim newssett As AcadSelectionSet
Dim obj3 As AcadEntity
Set newssett = acadapp.ActiveDocument.SelectionSets.Add("kkkkk")
newssett.SelectOnScreen
For Each obj3 In newssett
If obj3.ObjectName = "AcDbLine" Then
Print "  طول المستقيم "; obj3.Length
Print "زاوية ميله بالتقدير الدائرى "; obj3.angle
End If
Next obj3
acadapp.ActiveDocument.SelectionSets.Item("kkkkk").Delete
End Sub  

ولما حاولت اضافة الجملتين التاليتين فى هذا الكود لمعرفة احداثيات نقطة بداية المستقيم ونقطة نهايته مع طوله وزاوية ميله
اعترض البرنامج

 Print "نقطة بدايته"; obj3.STARTX; obj3.STARTY
Print "نقطة نهايته"; obj3.ENDX; obj3.ENDY  

فما هو الكود اللازم لمعرفة احداثيات نقطة بداية هذا المستقيم (الذى أشار اليه المستخدم فى صفحة الأوتوكاد) ونقطة نهايته
ولكم ألف شكر

 

0

شارك هذا الرد


رابط المشاركة
شارك الرد من خلال المواقع ادناه

من فضلك سجل دخول لتتمكن من التعليق

ستتمكن من اضافه تعليقات بعد التسجيل



سجل دخولك الان

  • يستعرض القسم حالياً   0 members

    لا يوجد أعضاء مسجلين يشاهدون هذه الصفحة .